Subject: Re: [PATCH 01/37] PCI/MSI: Add Devres managed IRQ vectors allocation

From: Jonathan Cameron <[email-masked]>
Date: Tue, 24 Feb 2026 16:20:00 +0000

On Mon, 23 Feb 2026 23:29:40 +0800
Shawn Lin <[email-masked]> wrote:

> pcim_alloc_irq_vectors() and pcim_alloc_irq_vectors_affinity() are created for
> pci device drivers which rely on the devres machinery to help cleanup the IRQ
> vectors.

It might be worth adding some details on why we need the is_msi_managed
flag in the first place vs just doing conventional devm_add_action_or_reset()
with pci_free_irq_vectors().